org.apache.tapestry5.internal.jpa

## Class EntityTransactionManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.EntityTransactionManagerImpl

- All Implemented Interfaces:
    EntityTransactionManager

      @Scope(value="perthread")
      public class EntityTransactionManagerImpl
      extends Object
      implements EntityTransactionManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tapestry5.jpa.EntityTransactionManager

      `EntityTransactionManager.VoidInvokable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTransactionManagerImpl(org.slf4j.Logger logger, EntityManagerManager entityManagerManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invokeAfterCommit(String unitName, Invokable<Boolean> invokable)`
    `void` | `invokeBeforeCommit(String unitName, Invokable<Boolean> invokable)`
    `<T> T` | `invokeInTransaction(String unitName, Invokable<T> invokable)`
    `void` | `runInTransaction(String unitName, Runnable runnable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityTransactionManagerImpl

          public EntityTransactionManagerImpl(org.slf4j.Logger logger,
                                              EntityManagerManager entityManagerManager)

  - ### Method Detail

    - #### runInTransaction

          public void runInTransaction(String unitName,
                                       Runnable runnable)

      Specified by:
        `runInTransaction` in interface `EntityTransactionManager`

    - #### invokeInTransaction

          public <T> T invokeInTransaction(String unitName,
                                           Invokable<T> invokable)

      Specified by:
        `invokeInTransaction` in interface `EntityTransactionManager`

    - #### invokeBeforeCommit

          public void invokeBeforeCommit(String unitName,
                                         Invokable<Boolean> invokable)

      Specified by:
        `invokeBeforeCommit` in interface `EntityTransactionManager`

    - #### invokeAfterCommit

          public void invokeAfterCommit(String unitName,
                                        Invokable<Boolean> invokable)

      Specified by:
        `invokeAfterCommit` in interface `EntityTransactionManager`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.